﻿@model Lifestoned.DataModel.Gdle.Spells.SpellTableChange
@using DerethForever.Web.Controllers

@{
    bool IsApproval = ViewData.Where(kv => kv.Key == "IsApproval").FirstOrDefault().Value as bool? ?? false;
}

<div class="well @(!Model.Submitted ? "need-submit" : "submitted")"
     data-id="@(Model.EntryId)"
     data-type="@(Model.EntryType)"
     data-name="@(Model.Entry.Value.Name)"
     data-user="@(Model.UserName)"
     data-date="@(new DateTimeOffset(Model.SubmissionTime.ToUniversalTime()).ToUnixTimeSeconds())">
    <div class="row">
        <div class="col-md-1">
            <div class="icon">
                <img src="@Url.Action("GetImage", "Resource",
                            new { imageId = Model.Entry.Value.IconId }) " />
            </div>
        </div>
        <div class="col-md-6">
            @Html.DisplayFor(m => m.Entry.Value.Name)
            (@Html.DisplayFor(m => m.Entry.Key))<br />
            Submitted by @Html.DisplayFor(m => m.UserName) on @Html.DisplayFor(m => m.SubmissionTimeDisplay)<br />
            <br />
        </div>
        <div class="col-md-5">
            <div class="btn-group">
                @if (!IsApproval)
                {
                    <button type="button" class="btn btn-default btn-sm" @@click="editSpell(@Model.EntryId)">Edit</button>
                }
                <div class="btn btn-default btn-sm">
                    <i class="glyphicon glyphicon-download"></i>
                    @Html.ActionLink("Sandbox", "DownloadSandbox", "SpellTable", new { id = Model.Entry.Key, userGuid = Model.UserGuid }, null)
                </div>
                <div class="btn btn-default btn-sm">
                    <i class="glyphicon glyphicon-download"></i>
                    @Html.ActionLink("Original", "DownloadOriginal", "SpellTable", new { id = Model.Entry.Key }, null)
                </div>

            </div>
            @if (!IsApproval && BaseController.CurrentUser.AccountGuid == Model.UserGuid)
            {
                <div>
                    @if (Model.Submitted)
                    {
                        <button data-id="@(Model.EntryId)" data-type="@(Model.EntryType)" class="sandbox-submit btn btn-sm btn-primary">Withdraw Submission</button>
                    }
                    else
                    {
                        <button data-id="@(Model.EntryId)" data-type="@(Model.EntryType)" class="sandbox-submit btn btn-sm btn-warning">Submit for Review</button>
                    }
                    <button data-id="@(Model.EntryId)" data-type="@(Model.EntryType)" class="sandbox-delete btn btn-sm btn-danger"><span class="glyphicon glyphicon-trash"></span></button>
                </div>
            }
            @if (IsApproval && User.IsInRole("Developer"))
            {
                <div>
                    <button class="btn btn-sm btn-warning"
                            data-toggle="modal" data-target="#modal-reject"
                            data-user="@(Model.UserGuid)" data-id="@(Model.EntryId)" data-type="@(Model.EntryType)">
                        Reject
                    </button>

                    <button class="sandbox-approve btn btn-sm btn-primary"
                            data-id="@(Model.EntryId)"
                            data-type="@(Model.EntryType)"
                            data-user="@(Model.UserGuid)"
                            data-done="0">
                        Accept
                    </button>

                    <button class="sandbox-approve btn btn-sm btn-primary"
                            data-id="@(Model.EntryId)"
                            data-type="@(Model.EntryType)"
                            data-user="@(Model.UserGuid)"
                            data-done="1">
                        Final Accept
                    </button>
                </div>
            }

        </div>
    </div>
    <br />

    <div class="panel panel-default">
        <div class="panel-heading">
            <a href="#@(Html.IdFor(m => m))" data-toggle="collapse" aria-expanded="false">Change Log Entry</a>
        </div>
        <div id="@(Html.IdFor(m => m))" class="panel-collapse collapse panel-body">
            @Html.Raw(string.IsNullOrEmpty(Model.ChangeLog.UserChangeSummary) ? "None" : Model.ChangeLog.UserChangeSummary)
        </div>

    </div>

    @Html.DisplayFor(m => m.Discussion, new {
        UserGuid = Model.UserGuid,
        EntryId = Model.EntryId,
        EntryType = "spellTable" })

</div>
